# ApplicationFramework
TKPLCAF
MDocStd

# MDocStd_XLinkStorageDriver Class Reference

Tool used to translate a transient XLink into a
persistent one.
.

`#include <MDocStd_XLinkStorageDriver.hxx>`

Inheritance diagram for MDocStd_XLinkStorageDriver:

[legend]

## Public Member Functions

Standard_EXPORT | MDocStd_XLinkStorageDriver (const Handle(CDM_MessageDriver)&theMessageDriver)
Standard_EXPORT Standard_Integer | VersionNumber () const
| Returns the version number from which the driver is available: 0. .
Standard_EXPORT Handle_Standard_Type | SourceType () const
| Returns the type: XLink from TXLink. .
Standard_EXPORT Handle_PDF_Attribute | NewEmpty () const
| Creates a new attribute from PDF. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&aSource, const Handle(PDF_Attribute)&aTarget, const Handle(MDF_SRelocationTable)&aRelocTable) const
| Translate the contents of <asource> and put it into <atarget>, using the relocation table <areloctable> to keep the sharings. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT MDocStd_XLinkStorageDriver::MDocStd_XLinkStorageDriver | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) |

## Member Function Documentation

Standard_EXPORT const MDocStd_XLinkStorageDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MDF_ASDriver.

Standard_EXPORT Handle_PDF_Attribute MDocStd_XLinkStorageDriver::NewEmpty | ( |  | ) | const`[virtual]`

| Implements MDF_ASDriver.

Standard_EXPORT void MDocStd_XLinkStorageDriver::Paste | ( | const Handle(TDF_Attribute)& | aSource,
|  | const Handle(PDF_Attribute)& | aTarget,
|  | const Handle(MDF_SRelocationTable)& | aRelocTable
| ) | const`[virtual]`

| Implements MDF_ASDriver.

Standard_EXPORT Handle_Standard_Type MDocStd_XLinkStorageDriver::SourceType | ( |  | ) | const`[virtual]`

| Implements MDF_ASDriver.

Standard_EXPORT Standard_Integer MDocStd_XLinkStorageDriver::VersionNumber | ( |  | ) | const`[virtual]`

| Implements MDF_ASDriver.

The documentation for this class was generated from the following file:

- MDocStd_XLinkStorageDriver.hxx